org.eclipse.jetty.server

## Class ServletRequestHttpWrapper

- java.lang.Object
- - javax.servlet.ServletRequestWrapper
  - - org.eclipse.jetty.server.ServletRequestHttpWrapper

- All Implemented Interfaces:
    javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

      public class ServletRequestHttpWrapper
      extends javax.servlet.ServletRequestWrapper
      implements javax.servlet.http.HttpServletRequest

  Class to tunnel a ServletRequest via a HttpServletRequest

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletRequestHttpWrapper(javax.servlet.ServletRequest request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `authenticate(javax.servlet.http.HttpServletResponse response)`
    `String` | `getAuthType()`
    `String` | `getContextPath()`
    `javax.servlet.http.Cookie[]` | `getCookies()`
    `long` | `getDateHeader(String name)`
    `String` | `getHeader(String name)`
    `Enumeration` | `getHeaderNames()`
    `Enumeration` | `getHeaders(String name)`
    `int` | `getIntHeader(String name)`
    `String` | `getMethod()`
    `javax.servlet.http.Part` | `getPart(String name)`
    `Collection<javax.servlet.http.Part>` | `getParts()`
    `String` | `getPathInfo()`
    `String` | `getPathTranslated()`
    `String` | `getQueryString()`
    `String` | `getRemoteUser()`
    `String` | `getRequestedSessionId()`
    `String` | `getRequestURI()`
    `StringBuffer` | `getRequestURL()`
    `String` | `getServletPath()`
    `javax.servlet.http.HttpSession` | `getSession()`
    `javax.servlet.http.HttpSession` | `getSession(boolean create)`
    `Principal` | `getUserPrincipal()`
    `boolean` | `isRequestedSessionIdFromCookie()`
    `boolean` | `isRequestedSessionIdFromUrl()`
    `boolean` | `isRequestedSessionIdFromURL()`
    `boolean` | `isRequestedSessionIdValid()`
    `boolean` | `isUserInRole(String role)`
    `void` | `login(String username, String password)`
    `void` | `logout()`

    - ### Methods inherited from class javax.servlet.ServletRequestWrapper

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setRequest, startAsync, startAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

- - ### Constructor Detail

    - #### ServletRequestHttpWrapper

          public ServletRequestHttpWrapper(javax.servlet.ServletRequest request)

  - ### Method Detail

    - #### getAuthType

          public String getAuthType()

      Specified by:
        `getAuthType` in interface `javax.servlet.http.HttpServletRequest`

    - #### getCookies

          public javax.servlet.http.Cookie[] getCookies()

      Specified by:
        `getCookies` in interface `javax.servlet.http.HttpServletRequest`

    - #### getDateHeader

          public long getDateHeader(String name)

      Specified by:
        `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeader

          public String getHeader(String name)

      Specified by:
        `getHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeaders

          public Enumeration getHeaders(String name)

      Specified by:
        `getHeaders` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeaderNames

          public Enumeration getHeaderNames()

      Specified by:
        `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`

    - #### getIntHeader

          public int getIntHeader(String name)

      Specified by:
        `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getMethod

          public String getMethod()

      Specified by:
        `getMethod` in interface `javax.servlet.http.HttpServletRequest`

    - #### getPathInfo

          public String getPathInfo()

      Specified by:
        `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`

    - #### getPathTranslated

          public String getPathTranslated()

      Specified by:
        `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`

    - #### getContextPath

          public String getContextPath()

      Specified by:
        `getContextPath` in interface `javax.servlet.http.HttpServletRequest`

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRemoteUser

          public String getRemoteUser()

      Specified by:
        `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`

    - #### isUserInRole

          public boolean isUserInRole(String role)

      Specified by:
        `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Specified by:
        `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestedSessionId

          public String getRequestedSessionId()

      Specified by:
        `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestURI

          public String getRequestURI()

      Specified by:
        `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestURL

          public StringBuffer getRequestURL()

      Specified by:
        `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`

    - #### getServletPath

          public String getServletPath()

      Specified by:
        `getServletPath` in interface `javax.servlet.http.HttpServletRequest`

    - #### getSession

          public javax.servlet.http.HttpSession getSession(boolean create)

      Specified by:
        `getSession` in interface `javax.servlet.http.HttpServletRequest`

    - #### getSession

          public javax.servlet.http.HttpSession getSession()

      Specified by:
        `getSession` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdValid

          public boolean isRequestedSessionIdValid()

      Specified by:
        `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromCookie

          public boolean isRequestedSessionIdFromCookie()

      Specified by:
        `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromURL

          public boolean isRequestedSessionIdFromURL()

      Specified by:
        `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromUrl

          public boolean isRequestedSessionIdFromUrl()

      Specified by:
        `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

    - #### authenticate

          public boolean authenticate(javax.servlet.http.HttpServletResponse response)
                               throws IOException,
                                      javax.servlet.ServletException

      Specified by:
        `authenticate` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `IOException`
        `javax.servlet.ServletException`
      See Also:
        `HttpServletRequest.authenticate(javax.servlet.http.HttpServletResponse)`

    - #### getPart

          public javax.servlet.http.Part getPart(String name)
                                          throws IOException,
                                                 javax.servlet.ServletException

      Specified by:
        `getPart` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `IOException`
        `javax.servlet.ServletException`
      See Also:
        `HttpServletRequest.getPart(java.lang.String)`

    - #### getParts

          public Collection<javax.servlet.http.Part> getParts()
                                                       throws IOException,
                                                              javax.servlet.ServletException

      Specified by:
        `getParts` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `IOException`
        `javax.servlet.ServletException`
      See Also:
        `HttpServletRequest.getParts()`

    - #### login

          public void login(String username,
                   String password)
                     throws javax.servlet.ServletException

      Specified by:
        `login` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `javax.servlet.ServletException`
      See Also:
        `HttpServletRequest.login(java.lang.String, java.lang.String)`

    - #### logout

          public void logout()
                      throws javax.servlet.ServletException

      Specified by:
        `logout` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `javax.servlet.ServletException`
      See Also:
        `HttpServletRequest.logout()`

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.